> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Unarchive a space POST https://api.contentful.com/spaces/{space_id}/unarchive Content-Type: application/vnd.contentful.management.v1+json Unarchive a space to make it active again. Pass a `productId` in the request body to assign a product license to the space upon unarchiving. Reference: https://contentful.com/developers/docs/references/content-management-api/spaces/unarchive-space ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the space in form of a string ### Headers - `X-Contentful-Version` (string, required) — Version of the space to update ### Body (application/vnd.contentful.management.v1+json) This endpoint expects an object. - `productId` (string, optional) — Product Id to assign to a space ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Request** ```json { "productId": "" } ``` **Response** ```json { "name": "Contentful Example API", "sys": { "createdAt": "2026-02-16T22:30:32.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "id": "yadj1kx9rmg0", "organization": { "sys": { "id": "0D9ZC8rLWiw6x5qizZGiRs", "linkType": "Organization", "type": "Link" } }, "type": "Space", "updatedAt": "2026-02-21T23:50:29.000Z", "updatedBy": { "sys": { "id": "4FLrUHftHW3v2BLi9fzfjU", "linkType": "User", "type": "Link" } }, "version": 3 } } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const space = await client.space.get({ spaceId: '', }); const unarchivedSpace = await space.unarchive({ productId: '' }) ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.unarchive({ productId: '' })) .catch(console.error) ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET SDK currently doesn't implement this endpoint. ```